Bug 1293837 - (CVE-2015-1772) CVE-2015-1772 Apache Hive: authentication vulnerability in HiveServer2
CVE-2015-1772 Apache Hive: authentication vulnerability in HiveServer2
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20150521,repo...
: Security
Depends On: 1293838
Blocks: 1293839
  Show dependency treegraph
 
Reported: 2015-12-23 04:14 EST by Martin Prpič
Modified: 2016-01-13 03:50 EST (History)
19 users (show)

See Also:
Fixed In Version: Apache Hive 1.0.1, Apache Hive 1.1.1, Apache Hive 1.2.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-12 18:53:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2015-12-23 04:14:26 EST
The following flaw was reported in Apache Hive:

Users who use LDAP authentication mode in HiveServer2 and also have LDAP configured to allow simple unauthenticated or anonymous bind.

LDAP services are sometimes configured to allow simple unauthenticated binds. When HiveServer2 is configured to use LDAP authentication mode (hive.server2.authentication configuration parameter is set to LDAP), with such LDAP configurations, it can allow users without proper credentials to get authenticated.

External References:

https://mail-archives.apache.org/mod_mbox/www-announce/201505.mbox/%3CCAOpgucy52yzNN1FaRcxwhZmx8ZtNRjmK6V0Bxk4svAD-R1q70Q@mail.gmail.com%3E
Comment 1 Martin Prpič 2015-12-23 04:15:02 EST
Created hive tracking bugs for this issue:

Affects: fedora-all [bug 1293838]

Note You need to log in before you can comment on or make changes to this bug.